%define drakxtools_ver 16

%define libname lib%{name}

%define gtk_files (connection_manager/gtk|signal_strength|drakroam|ifw|netcenter|drakconnect/edit|drakconnect/global).pm

%global __requires_exclude perl\\([a-z].*\\)


Summary: %_vendor network tools
Name: drakx-net
Version: 2.24.2
Release: %mkrel 1
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: System/Networking
Url: http://www.mageia.org/
BuildArch: noarch
BuildRequires: intltool
BuildRequires: perl_checker
Requires: drakxtools >= %{drakxtools_ver}
Requires: %{name}-text = %{version}
Requires: %{libname} = %{version}
Requires: netprofile >= 0.20
Requires: perl-Gtk3
Requires: perl-Gtk3-Helper
Requires: polkit
Recommends: wireless-tools
Recommends: rfkill
Recommends: comgt
Recommends: net_monitor
Recommends: %{name}-applet

%description
This package contains the %_vendor network tools.

%package text
Summary: %_vendor network text tools
Group: System/Networking
Requires: drakxtools-curses >= %{drakxtools_ver}
Requires: %{libname} = %{version}

%description text
This package contains the %_vendor network tools that can be used in
text mode.

drakconnect: LAN/Internet connection configuration. It handles
ethernet, ISDN, DSL, cable, modem.

drakfirewall: simple firewall configurator

drakgw: internet connection sharing

drakproxy: proxies configuration

drakvpn: VPN configuration (openvpn, vpnc)

%package applet
Summary: %_vendor network applet
Group: System/Networking
Requires: %{name} = %{version}-%{release}

%description applet
This package contains the %_vendor network applet (net_applet)
to check network connection

%package -n %{libname}
Summary: %_vendor network tools library
Group: System/Networking
Requires: drakxtools-backend >= %{drakxtools_ver}
# require perl-Net-Telnet for OpenVPN connections (#36126):
Requires: perl-Net-Telnet
# Require crda, iw and wireless-regdb for CRDA domain settings (#47324)
Requires: crda
Requires: iw
Requires: wireless-regdb
Conflicts: %{name} <= 2.12-1

%description -n	%{libname}
This package contains the %_vendor network tools library.

%prep
%setup -q

%build
%make

%install
%makeinstall_std

(cd %{buildroot}; find usr/lib/libDrakX/network/ -type f -name '*.pm') | perl -ne 'm!/%{gtk_files}$! ? print STDERR "/$_" : print "/$_"' > %{name}-nogtk.list 2> %{name}-gtk.list

%find_lang %{name}
cat %{name}-nogtk.list %{name}.lang > %{name}.list

%check
while read f; do
      grep -i Gtk3 %{buildroot}$f && exit 1
done < %{name}-nogtk.list
exit 0

%files -f %{name}-gtk.list
%doc NEWS
%{_bindir}/draknetcenter
%{_bindir}/draknetprofile
%{_bindir}/drakhosts
%{_bindir}/drakids
%{_bindir}/draknfs
%{_bindir}/drakroam
%{_bindir}/draksambashare
%{_datadir}/applications/draknetcenter.desktop
%{_prefix}/lib/libDrakX/icons/*.png
%{_datadir}/libDrakX/pixmaps/*.png
%{_libexecdir}/draknetcenter
%{_libexecdir}/draknetprofile
%{_libexecdir}/drakhosts
%{_libexecdir}/drakids
%{_libexecdir}/draknfs
%{_libexecdir}/drakroam
%{_libexecdir}/draksambashare
%{_datadir}/polkit-1/actions/org.mageia.draknetcenter.policy
%{_datadir}/polkit-1/actions/org.mageia.draknetprofile.policy
%{_datadir}/polkit-1/actions/org.mageia.drakhosts.policy
%{_datadir}/polkit-1/actions/org.mageia.drakids.policy
%{_datadir}/polkit-1/actions/org.mageia.draknfs.policy
%{_datadir}/polkit-1/actions/org.mageia.drakroam.policy
%{_datadir}/polkit-1/actions/org.mageia.draksambashare.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifdown.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.ifup.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-start.policy
%{_datadir}/polkit-1/actions/com.redhat.initscripts.vpn-stop.policy
%{_datadir}/polkit-1/actions/org.mageia-x.set-netprofile.policy

%files text
%{_bindir}/drakconnect
%{_bindir}/drakgw
%{_bindir}/drakvpn
%{_bindir}/drakproxy
%{_bindir}/drakfirewall
%{_bindir}/drakinvictus
%{_libexecdir}/drakconnect
%{_libexecdir}/drakgw
%{_libexecdir}/drakvpn
%{_libexecdir}/drakproxy
%{_libexecdir}/drakfirewall
%{_libexecdir}/drakinvictus
%{_datadir}/polkit-1/actions/org.mageia.drakconnect.policy
%{_datadir}/polkit-1/actions/org.mageia.drakgw.policy
%{_datadir}/polkit-1/actions/org.mageia.drakvpn.policy
%{_datadir}/polkit-1/actions/org.mageia.drakproxy.policy
%{_datadir}/polkit-1/actions/org.mageia.drakfirewall.policy
%{_datadir}/polkit-1/actions/org.mageia.drakinvictus.policy

%files -n %{libname} -f %{name}.list
%dir %{_prefix}/lib/libDrakX/network/
%dir %{_prefix}/lib/libDrakX/network/connection
%dir %{_prefix}/lib/libDrakX/network/drakconnect/
%dir %{_prefix}/lib/libDrakX/network/vpn

%files applet
%{_bindir}/net_applet
%{_datadir}/applications/net_applet.desktop
%{_sysconfdir}/xdg/autostart/net_applet.desktop


%changelog
* Mon Jun 27 2016 tv <tv> 2.24.2-1.mga5
+ Revision: 1037731
- drakconnect:
  o fix crash when running with --skip-wizard (mga#16772)
- net_applet:
  o fix crash if notification queue is not yet initialized (mga#16995)
- fix Drakfirewall fails to open mountd ports for NFS #mga14550
- fix "unescaped left brace" warnings in perl-5.22+.
- log dbus errors
- stop using Gtk3::Notify::Queue as it's broken
- translations updates

* Wed Jun 03 2015 tv <tv> 2.22-1.mga5
+ Revision: 822869
- draknfs, draksambashare:
  o fix handling UTF-8 directories (mga#13354)
- draksambashare:
  o fix undefined value for parameter (mga#13206)

* Tue May 26 2015 ennael <ennael> 2.21-1.mga5
+ Revision: 822719
- add X-Mageia-CrossDesktop category (mga#15835)

* Tue May 19 2015 tv <tv> 2.20-1.mga5
+ Revision: 822398
- draksambashare:
  o fix empty user list (mga#12530)

* Mon May 18 2015 tv <tv> 2.19-1.mga5
+ Revision: 822280
- translation update

* Mon Apr 27 2015 tv <tv> 2.18-1.mga5
+ Revision: 820785
- fix displaying bogus ESSID for hidden network (mga#13685)
- use high res icons for notifications (mga#7434)

* Wed Mar 11 2015 tv <tv> 2.17-1.mga5
+ Revision: 818423
- fix not saving Private key, Private key password, or a CA cert in
  /etc/wpa_supplicant.conf (Patrick Hibbs, mga#11136)
- hide EAP client private key password (Patrick Hibbs, mga#11136)

* Mon Feb 09 2015 ennael <ennael> 2.16-1.mga5
+ Revision: 814305
- update translations

* Fri Jan 02 2015 tv <tv> 2.15-1.mga5
+ Revision: 808044
- translations updates

* Wed Dec 31 2014 alien <alien> 2.14-1.mga5
+ Revision: 807561
- Update to version 2.14 (mga#14904)

* Wed Nov 19 2014 tv <tv> 2.13-1.mga5
+ Revision: 797911
- translation updates
- drakfirewall: open submission port (587/tcp, RFC4409) when a mail
  server is available

* Wed Oct 15 2014 umeabot <umeabot> 2.12-5.mga5
+ Revision: 745713
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 tv <tv> 2.12-4.mga5
+ Revision: 695882
- exclude lower case perl reqs (not in std path)

* Tue Sep 16 2014 umeabot <umeabot> 2.12-3.mga5
+ Revision: 678855
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Feb 22 2014 blino <blino> 2.12-2.mga5
+ Revision: 595614
- move network::monitor to lib package, it does not rely on Gtk and is
  needed to configure wireless connections with drakconnect in text mode
- update files check section for Gtk3

* Mon Jan 27 2014 colin <colin> 2.12-1.mga4
+ Revision: 568416
- Default to 'automatic' NM mode rather than making a (likely wrong) decision for the user. mga#6675 mga#9261

* Sun Jan 26 2014 colin <colin> 2.11-1.mga4
+ Revision: 568238
- Avoid double fork problems mga#11184 mga#12364
- Add support to configure shorewall6 configs mga#11928

* Wed Jan 22 2014 tv <tv> 2.10-1.mga4
+ Revision: 567512
- block CHLD signals on startup in order to prevent glib-threading segfaults

* Wed Jan 08 2014 tv <tv> 2.9-1.mga4
+ Revision: 565524
- delay setting SIG_CHLD handler
  (thus preventing potential segfault on startup (mga#10289))

* Sun Jan 05 2014 tv <tv> 2.8-1.mga4
+ Revision: 564912
- nuke the use of /etc/iftab (it's no longer useful) mga#11592
- nuke the use of udev rules for network device names (persistent device names
  make it no longer relevant) mga#11592
- nuke an ethN regexp that prevents network coming up in installer mga#11592

* Sat Dec 28 2013 tv <tv> 2.7-1.mga4
+ Revision: 562884
- adapt to new /etc/sysctl.d
- drakfirewall: add 6881:6999 UDP port range for Bittorrent
  (this is used by rtorrent)

* Sat Dec 21 2013 tv <tv> 2.6-1.mga4
+ Revision: 559355
- prevent segfaulting on forking when glib/gtk create threads behind us
  (mga#12041)

* Wed Dec 18 2013 tv <tv> 2.5-1.mga4
+ Revision: 558351
- fix mga web url (mga#11972)
- do not request password for draknetcenter (mga#12017)

* Fri Dec 13 2013 tv <tv> 2.4-1.mga4
+ Revision: 556555
- fix draksambashare crashing when displaying about dialog (mga#11972)
- fix draksambashare crashing when displaying about dialog (mga#11972)

* Sun Dec 08 2013 tv <tv> 2.3.1-1.mga4
+ Revision: 555979
- fix a warning in net_applet (Colin Guthrie)

* Sun Dec 08 2013 tv <tv> 2.3-1.mga4
+ Revision: 555945
- avoid system() as this seems to segv perl when combined with threads (mga#11929)

* Thu Dec 05 2013 tv <tv> 2.2-2.mga4
+ Revision: 555428
- move perl-Gtk3-Helper along perl-Gtk3 one (debloat, mga#11842)

* Thu Nov 28 2013 tv <tv> 2.2-1.mga4
+ Revision: 553846
- fix "undefined value for mandatory argument 'sensitive'" (mga#11799)

* Tue Nov 26 2013 tv <tv> 2.1-1.mga4
+ Revision: 553527
- fix "undefined value for mandatory argument 'is_active'" (mga#11763)
- fix "undefined value for mandatory argument 'sensitive'" (mga#11764)

* Tue Nov 26 2013 tv <tv> 2.0-2.mga4
+ Revision: 553521
- explicitely require Gtk3-Helper (mga#11762)

* Mon Nov 25 2013 tv <tv> 2.0-1.mga4
+ Revision: 553055
- port to Gtk+3 (net_applet notification works again!)

* Thu Nov 21 2013 colin <colin> 1.29-1.mga4
+ Revision: 552204
- New version: 1.29 - misc polkit fixes mga#11286

* Tue Oct 22 2013 umeabot <umeabot> 1.28-2.mga4
+ Revision: 541536
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 1.28-1.mga4
+ Revision: 496192
- New version: 1.28

* Tue Oct 01 2013 colin <colin> 1.27-1.mga4
+ Revision: 489957
- New version: 1.27
  o fix namespace problem on root user check (mga#11332)

* Sun Sep 29 2013 colin <colin> 1.26-1.mga4
+ Revision: 489340
- New version: 1.26
- Use polkit for authorisation (mga#11125)

* Mon Jul 22 2013 djennings <djennings> 1.25-1.mga4
+ Revision: 457103
- install net_monitor package on demand (mga#157)
- drakfirewall: replace obsolete state module with conntrack (mga#8225)

* Wed May 08 2013 blino <blino> 1.24-1.mga3
+ Revision: 412599
- adapt gtk files list to connection manager changes
- 1.24
- connection manager: extract gtk2 specific code in separate module
  (to reuse connection manager in harddrake service for packages
  installation)
- net_applet/netcenter/drakroam: remove unused pixbufs creation
- netcenter: update connection status after connection timeout (#3888)

* Fri May 03 2013 tv <tv> 1.23-1.mga3
+ Revision: 412057
- add FDN to ISP list (mga#6883)

* Sat Apr 27 2013 tv <tv> 1.22-1.mga3
+ Revision: 411465
- drakgw, drakfirewall: install shorewall-ipv6 too (mga#9401)

* Sun Apr 21 2013 tv <tv> 1.21-1.mga3
+ Revision: 410655
- translation updates

* Wed Mar 27 2013 tv <tv> 1.20-1.mga3
+ Revision: 405444
- improve MAC adress help
- drakfirewall:
  o fix detecting if shorewall is enabled (mga#8699)
  o list loc zone before net zone in /etc/shorewall/zones;
    this is useful to apply local rules before net rules for a
    "one-armed" router, e.g. one interface with both a public IP
    address and a local private address, with such an entry in
    /etc/shorewall/hosts: "loc eth0:192.168.0.0/24"

* Sat Feb 23 2013 tmb <tmb> 1.19.2-1.mga3
+ Revision: 400166
- re-add broadcom-wl reference

* Tue Feb 19 2013 tv <tv> 1.19.1-1.mga3
+ Revision: 399473
- load services when needed

* Tue Feb 19 2013 tv <tv> 1.19-1.mga3
+ Revision: 399446
- drakconnect:
  o add support for 802.1x EAP with WPA Enterprise Patch (mga#8577,
    Zombie Ryushu)
  o add support for MACADDR and ETHTOOL_OPTS (Oden Eriksson, mga#8811)
- drakfirewall:
  o check shorewall enabling via systemd (mga#8699, from Rosa)
- draknfs:
  o fix nfs server having switch to systemd unit (mga#3386, Derek Jennings)

* Thu Jan 24 2013 tmb <tmb> 1.18-1.mga3
+ Revision: 392174
- 1.18:
- drop broadcom-wl reference during free driver tests
- monitor: allow wpa_cli to report signale strength in dBm (Derek Jennings, #8228)
- drakhosts: fix translation domain (Yuri Chornoivan, mga#8629)
- fix untranslatable strings (Yuri Chornoivan, mga#8638, #8640 & #8628)

* Tue Jan 22 2013 fwang <fwang> 1.17-2.mga3
+ Revision: 390853
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 1.17-1.mga3
+ Revision: 388828
- update translations
- draknfs: check /usr/sbin/rpc.nfsd instead of service file

  + tv <tv>
    - fix description, net_applet has been split

* Fri Oct 12 2012 tv <tv> 1.16-1.mga3
+ Revision: 304832
- fix nfs-utils detection now that we use only systemd (mga#7654)
- fix device path for "cdc_acm" (mga#3841)

* Thu Sep 06 2012 tv <tv> 1.15.1-1.mga3
+ Revision: 288707
- remove invalid character in source code that makes drakx-net tools crash

* Wed Sep 05 2012 tv <tv> 1.15-1.mga3
+ Revision: 288676
- draknetcenter: fix crash when net_applet doesn't run (mga#6040)

* Tue Sep 04 2012 tv <tv> 1.14-1.mga3
+ Revision: 288166
- drakinvictus: fix crashing due to missing icon (mga#5223)
- drakroam: fix a crash (mga#6847)
- use chroot's /etc/resolv.conf if stage1 didn't write any
  (Derek Jennings, mga#5772)
- wait for network to show up the same way as in the installer
  (Derek Jennings, mga#5830)

* Sun Jul 22 2012 blino <blino> 1.13-1.mga3
+ Revision: 273591
- 1.13
- install rtlwifi-firmware for r8712u driver (#6064)
- fix installing ralink firmware for 2860 and 2870 chipsets (#5072)
  (also drop 3090 checks, the driver has been merged in others)

* Fri May 11 2012 tmb <tmb> 1.12-1.mga2
+ Revision: 235347
- fix connectivity test during install (and possibly standalone) by
  calling res_init before hostname resolution (#5772)

  + tv <tv>
    - fix connectivity test during install (and possibly standalone) by
      calling res_init before hostname resolution (#5772)

* Thu May 10 2012 tv <tv> 1.11-1.mga2
+ Revision: 235154
- fix testing network connectivy test after resolv.conf changes
  (Derek Jennings, mga#5772)

* Mon Apr 30 2012 blino <blino> 1.10-1.mga2
+ Revision: 234323
- 1.10
- install rtlwifi-firmware for rtl8192 drivers
- remove rtl8187se thirdparty check, it has been in mainline for a
  long time already
- another fix for iwlagn firmware installation since reported module
  name is iwlwifi (#5549)

* Sat Apr 28 2012 tmb <tmb> 1.9-1.mga2
+ Revision: 233970
- further fix iwlagn firmware installation (blino)

* Wed Apr 25 2012 tv <tv> 1.8-1.mga2
+ Revision: 233264
- ndiswrapper: do not try to access the full chroot path when running
  in chroot (mga#56052)
- fix iwlagn firmware package installation (#5549) and make
  iwl3945/4965 check faster by fixing test file
- install ralink-firmware for rt61/73/2860/2870/3090 drivers

* Mon Apr 16 2012 zezinho <zezinho> 1.7-1.mga2
+ Revision: 231098
- fix b43 firmware path (#5419)

* Mon Apr 16 2012 blino <blino> 1.6-3.mga2
+ Revision: 231044
- suggest rfkill

* Mon Apr 16 2012 blino <blino> 1.6-2.mga2
+ Revision: 231011
- suggest wireless-tools and comgt (since they have been removed from initscripts)

* Thu Apr 12 2012 colin <colin> 1.6-1.mga2
+ Revision: 230339
- ensure /etc/hostname has a newline as per upstream specs (#4672)

  + tv <tv>
    - drop very old conflicts

* Thu Mar 22 2012 tv <tv> 1.5-1.mga2
+ Revision: 225761
- fix CRDA never set to 'US' when country not in CRDA domains
  (might help #1015 & the like)
- fix bogus messages about 3rd party drivers
- drakfirewall:
  o fix listing NFS ports
  o fix cleaning old rules
- nfs: add .conf suffix to lockd.drakx file in /etc/modprobe.d

* Mon Mar 12 2012 tv <tv> 1.4-1.mga2
+ Revision: 223111
- adapt to drakxtools-13.92+ API change
  (reduces net_applet resident memory)
- drakfirewall: list SSL flavor of POP3/IMAP/SMTP ports

* Wed Jan 04 2012 colin <colin> 1.3-1.mga2
+ Revision: 190394
- 1.3: Ensure /etc/hostname is updated when hostname changes (mga#2983)

  + tmb <tmb>
    - drop buildroot and defattr

* Wed Dec 14 2011 blino <blino> 1.2-1.mga2
+ Revision: 181656
- 1.2
- wireless scan: use programs from prefix, not installer root (#1452)

* Sat Dec 10 2011 blino <blino> 1.1-1.mga2
+ Revision: 179906
- 1.1
- drakfirewall: use . instead of source in /etc/ifw/rules
- shorewall:
  o do not write end line twice in config files if there is no
    "LAST LINE" marker
  o do not warn about incompatible SECTION commands in rules file
    (source does not work in dash)
- net_applet: use better libnotify app name
- fix squid configuration when sharing internet connection (#1353)

* Tue Nov 22 2011 blino <blino> 1.0-1.mga2
+ Revision: 170708
- 1.0
- fix parsing (and thus writing back) ACCOUNTING and NM_CONTROLLED in ifcfg
  (thanks Mandriva for the nice bug BTW :)
- make sure all strings ended in translation catalogs (#3371)

* Tue Oct 18 2011 zezinho <zezinho> 0.99-1.mga2
+ Revision: 156238
- Use b43-openfwwf for b43 module instead of asking for a windows driver

  + tv <tv>
    - make network connectivity check work with kernel-2.6.39+ (#1266)

* Thu May 19 2011 ennael <ennael> 0.97-1.mga1
+ Revision: 99812
- update encryption icons (#1094)

* Thu May 19 2011 ennael <ennael> 0.96-1.mga1
+ Revision: 99695
- redraw wifi icons

* Wed May 18 2011 ennael <ennael> 0.95-1.mga1
+ Revision: 99682
- update icons for wifi status

* Sat May 14 2011 ennael <ennael> 0.94-1.mga1
+ Revision: 98842
- update translations

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-3.mga1
+ Revision: 57445
- Revert previous commit, tks to ahmad

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-2.mga1
+ Revision: 57438
- Requires net_monitor for the applet

* Wed Feb 23 2011 dmorgan <dmorgan> 0.93-1.mga1
+ Revision: 57163
- 0.93:
- Make draknetcenter.desktop XDG compliant
- Move autostart desktop files to /etc/xdg/autostart
- Remove xinit.d script: non-xdg-autostart compliant desktops should use the
  xdg-compliance-autostart package if they want to run drakx-net and others

* Thu Feb 03 2011 dmorgan <dmorgan> 0.92-1.mga1
+ Revision: 46735
- imported package drakx-net

